<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(8, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(13, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Suppression du sponsor
$requete_suppression = mysqli_query($connexion_mysql, 'DELETE FROM sponsors WHERE sponsor_id="'.$sponsor_id.'"');

// Mise à jour du classement après suppression
mise_a_jour_classement($connexion_mysql, 'sponsors', 'sponsor_id', 'sponsor_classement', '');

// Défragmentation de la table
$requete_defragmentation = mysqli_query($connexion_mysql, 'ALTER TABLE sponsors');


if(strlen(trim($sponsor_logo))!=0){
	// Suppression de l'image si il existe
	if(@file_exists($general_path.'/admin/sponsors/'.$sponsor_logo)==true){
		unlink($general_path.'/admin/sponsors/'.$sponsor_logo);
	}
}


header('Location: ./');
?>
